<?xml version="1.0" encoding="UTF-8"?>
<!-- Created with Jaspersoft Studio version 6.6.0.final using JasperReports Library version 6.6.0  -->
<jasperReport xmlns="http://jasperreports.sourceforge.net/jasperreports" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://jasperreports.sourceforge.net/jasperreports http://jasperreports.sourceforge.net/xsd/jasperreport.xsd" name="wz-template-1" language="groovy" pageWidth="595" pageHeight="842" whenNoDataType="AllSectionsNoDetail" columnWidth="555" leftMargin="20" rightMargin="20" topMargin="20" bottomMargin="20" uuid="62002099-927b-4249-9a6e-ef951479f079">
	<property name="ireport.zoom" value="1.5"/>
	<property name="ireport.x" value="0"/>
	<property name="ireport.y" value="0"/>
	<style name="table">
		<box>
			<pen lineWidth="1.0" lineColor="#000000"/>
		</box>
	</style>
	<style name="table_TH" mode="Opaque" backcolor="#FFF8FF">
		<box>
			<pen lineWidth="0.5" lineColor="#000000"/>
		</box>
	</style>
	<style name="table_CH" mode="Opaque" backcolor="#FFFFFF">
		<box>
			<pen lineWidth="0.5" lineColor="#000000"/>
		</box>
	</style>
	<style name="table_TD" mode="Opaque" backcolor="#FFFFFF">
		<box>
			<pen lineWidth="0.5" lineColor="#000000"/>
		</box>
	</style>
	<style name="table 1">
		<box>
			<pen lineWidth="1.0" lineColor="#000000"/>
		</box>
	</style>
	<style name="table 1_TH" mode="Opaque" backcolor="#F0F8FF">
		<box>
			<pen lineWidth="0.5" lineColor="#000000"/>
		</box>
	</style>
	<style name="table 1_CH" mode="Opaque" backcolor="#BFE1FF">
		<box>
			<pen lineWidth="0.5" lineColor="#000000"/>
		</box>
	</style>
	<style name="table 1_TD" mode="Opaque" backcolor="#FFFFFF">
		<box>
			<pen lineWidth="0.5" lineColor="#000000"/>
		</box>
	</style>
	<subDataset name="sub1" whenResourceMissingType="Error" uuid="1656453a-6c54-40c4-955a-b7a62615b7e2">
		<property name="a" value="b"/>
		<queryString language="json">
			<![CDATA[]]>
		</queryString>
		<field name="no" class="java.lang.Integer">
			<fieldDescription><![CDATA[no]]></fieldDescription>
		</field>
		<field name="unit" class="java.lang.String">
			<fieldDescription><![CDATA[unit]]></fieldDescription>
		</field>
		<field name="productNo" class="java.lang.String">
			<fieldDescription><![CDATA[productNo]]></fieldDescription>
		</field>
		<field name="name" class="java.lang.String">
			<fieldDescription><![CDATA[name]]></fieldDescription>
		</field>
		<field name="count" class="java.lang.Integer"/>
		<field name="orderNo" class="java.lang.String">
			<fieldDescription><![CDATA[orderNo]]></fieldDescription>
		</field>
		<field name="position" class="java.lang.String">
			<fieldDescription><![CDATA[position]]></fieldDescription>
		</field>
	</subDataset>
	<parameter name="dno" class="java.lang.Number" isForPrompting="false">
		<property name="c" value="c"/>
		<defaultValueExpression><![CDATA[12]]></defaultValueExpression>
	</parameter>
	<queryString language="json">
		<![CDATA[data]]>
	</queryString>
	<field name="documentNo" class="java.lang.String">
		<fieldDescription><![CDATA[documentNo]]></fieldDescription>
	</field>
	<field name="pname" class="java.lang.String">
		<fieldDescription><![CDATA[providerInfo.name]]></fieldDescription>
	</field>
	<field name="pstreet" class="java.lang.String">
		<fieldDescription><![CDATA[providerInfo.street]]></fieldDescription>
	</field>
	<field name="ppostal" class="java.lang.String">
		<fieldDescription><![CDATA[providerInfo.postal]]></fieldDescription>
	</field>
	<field name="pcity" class="java.lang.String">
		<fieldDescription><![CDATA[providerInfo.city]]></fieldDescription>
	</field>
	<field name="date" class="java.lang.String">
		<fieldDescription><![CDATA[date]]></fieldDescription>
	</field>
	<field name="rname" class="java.lang.String">
		<fieldDescription><![CDATA[recipientInfo.name]]></fieldDescription>
	</field>
	<field name="rstreet" class="java.lang.String">
		<fieldDescription><![CDATA[recipientInfo.street]]></fieldDescription>
	</field>
	<field name="rpostal" class="java.lang.String">
		<fieldDescription><![CDATA[recipientInfo.postal]]></fieldDescription>
	</field>
	<field name="rcity" class="java.lang.String">
		<fieldDescription><![CDATA[recipientInfo.city]]></fieldDescription>
	</field>
	<field name="products" class="java.lang.Object">
		<fieldDescription><![CDATA[products]]></fieldDescription>
	</field>
	<background>
		<band splitType="Stretch"/>
	</background>
	<pageHeader>
		<band height="179" splitType="Stretch">
			<frame>
				<reportElement x="15" y="7" width="524" height="40" uuid="728b927a-1fbd-4761-8b99-1091848cf36d"/>
				<box>
					<pen lineWidth="1.5"/>
					<topPen lineWidth="1.5"/>
					<leftPen lineWidth="1.5"/>
					<bottomPen lineWidth="1.5"/>
					<rightPen lineWidth="1.5"/>
				</box>
				<textField>
					<reportElement x="310" y="0" width="211" height="40" uuid="8fbb70af-42d7-4c6d-a82c-fe2b82a83e70"/>
					<textElement verticalAlignment="Middle">
						<font fontName="DejaVu Sans" size="14" isBold="true"/>
					</textElement>
					<textFieldExpression><![CDATA["Września " + $F{date}]]></textFieldExpression>
				</textField>
				<textField>
					<reportElement x="16" y="0" width="294" height="40" uuid="ae37b4c9-abdf-4f02-8809-4e783fa65d4c"/>
					<textElement verticalAlignment="Middle">
						<font fontName="DejaVu Sans" size="14" isBold="true"/>
					</textElement>
					<textFieldExpression><![CDATA["Dokument WZ Nr: " + $F{documentNo}]]></textFieldExpression>
				</textField>
			</frame>
			<frame>
				<reportElement x="15" y="51" width="260" height="122" uuid="ae843c25-9dd1-4d2d-baa6-33f911872bfa"/>
				<box>
					<pen lineWidth="1.5"/>
					<topPen lineWidth="1.5"/>
					<leftPen lineWidth="1.5"/>
					<bottomPen lineWidth="1.5"/>
					<rightPen lineWidth="1.5"/>
				</box>
				<textField>
					<reportElement x="16" y="23" width="219" height="29" uuid="d738a9d2-f314-465d-b64d-5333c78a754e"/>
					<textElement>
						<font fontName="DejaVu Sans"/>
					</textElement>
					<textFieldExpression><![CDATA[$F{pname}]]></textFieldExpression>
				</textField>
				<staticText>
					<reportElement x="0" y="0" width="254" height="20" uuid="b449b598-d31a-405e-89c7-4a4a9a966854"/>
					<textElement textAlignment="Center" verticalAlignment="Middle">
						<font fontName="DejaVu Sans" size="12" isBold="true" isUnderline="true"/>
					</textElement>
					<text><![CDATA[Dostawca]]></text>
				</staticText>
				<textField>
					<reportElement x="16" y="60" width="219" height="20" uuid="b9f734c7-bd2d-432e-97c9-47e19ec8ef7f"/>
					<textElement>
						<font fontName="DejaVu Sans"/>
					</textElement>
					<textFieldExpression><![CDATA[$F{pstreet}]]></textFieldExpression>
				</textField>
				<textField>
					<reportElement x="19" y="88" width="91" height="20" uuid="7ab2a9d0-4ac5-441a-a8d3-92733ee0e971"/>
					<textElement>
						<font fontName="DejaVu Sans"/>
					</textElement>
					<textFieldExpression><![CDATA[$F{ppostal}]]></textFieldExpression>
				</textField>
				<textField>
					<reportElement x="113" y="88" width="122" height="20" uuid="78f03cec-2777-4829-a7ff-abdd26a418bb"/>
					<textElement>
						<font fontName="DejaVu Sans"/>
					</textElement>
					<textFieldExpression><![CDATA[$F{pcity}]]></textFieldExpression>
				</textField>
			</frame>
			<frame>
				<reportElement x="279" y="51" width="260" height="122" uuid="7e78eaff-5130-4be4-ba96-425a0278b8e6"/>
				<box>
					<pen lineWidth="1.5"/>
					<topPen lineWidth="1.5"/>
					<leftPen lineWidth="1.5"/>
					<bottomPen lineWidth="1.5"/>
					<rightPen lineWidth="1.5"/>
				</box>
				<textField>
					<reportElement x="16" y="23" width="222" height="29" uuid="a9204cd6-2277-4ee8-8e24-f28f21d89331"/>
					<textElement>
						<font fontName="DejaVu Sans"/>
					</textElement>
					<textFieldExpression><![CDATA[$F{rname}]]></textFieldExpression>
				</textField>
				<staticText>
					<reportElement x="0" y="0" width="257" height="20" uuid="49f6e437-e345-4539-9a56-b6527aacbf91"/>
					<textElement textAlignment="Center" verticalAlignment="Middle">
						<font fontName="DejaVu Sans" size="12" isBold="true" isUnderline="true"/>
					</textElement>
					<text><![CDATA[Odbiorca]]></text>
				</staticText>
				<textField>
					<reportElement x="16" y="88" width="91" height="20" uuid="5eeb7480-1260-4bf4-9b7e-7999abc64aee"/>
					<textElement>
						<font fontName="DejaVu Sans"/>
					</textElement>
					<textFieldExpression><![CDATA[$F{rpostal}]]></textFieldExpression>
				</textField>
				<textField>
					<reportElement x="116" y="88" width="122" height="20" uuid="62f55da5-434e-4bad-8c73-12207dc1bb70"/>
					<textElement>
						<font fontName="DejaVu Sans"/>
					</textElement>
					<textFieldExpression><![CDATA[$F{rcity}]]></textFieldExpression>
				</textField>
				<textField>
					<reportElement x="19" y="60" width="219" height="20" uuid="0b357a10-1f32-44e2-9bfd-2f82ff02177b"/>
					<textElement>
						<font fontName="DejaVu Sans"/>
					</textElement>
					<textFieldExpression><![CDATA[$F{rstreet}]]></textFieldExpression>
				</textField>
			</frame>
		</band>
	</pageHeader>
	<detail>
		<band height="69" splitType="Stretch">
			<elementGroup/>
			<componentElement>
				<reportElement key="table 1" style="table 1" x="15" y="14" width="521" height="46" uuid="11f24d85-e4fb-464c-b19c-53b9e8cbabe0"/>
				<jr:table xmlns:jr="http://jasperreports.sourceforge.net/jasperreports/components" xsi:schemaLocation="http://jasperreports.sourceforge.net/jasperreports/components http://jasperreports.sourceforge.net/xsd/components.xsd">
					<datasetRun subDataset="sub1" uuid="d226511e-804c-4996-9245-c15e476426bd">
						<dataSourceExpression><![CDATA[((net.sf.jasperreports.engine.data.JsonDataSource)$P{REPORT_DATA_SOURCE}).subDataSource("products")]]></dataSourceExpression>
					</datasetRun>
					<jr:column width="35" uuid="ae4f4f89-f9f4-42d4-b614-24a6d4298b2b">
						<jr:columnHeader style="table_CH" height="23" rowSpan="1">
							<staticText>
								<reportElement x="1" y="0" width="34" height="23" uuid="d2235385-6166-4698-970c-e0977f941a69"/>
								<textElement textAlignment="Center" verticalAlignment="Middle">
									<font fontName="DejaVu Sans" size="12"/>
								</textElement>
								<text><![CDATA[L.p.]]></text>
							</staticText>
						</jr:columnHeader>
						<jr:detailCell style="table 1_TD" height="20" rowSpan="1">
							<textField>
								<reportElement x="1" y="0" width="34" height="20" uuid="344e8558-1e2f-4aed-9f82-f47a0016d36c"/>
								<textElement textAlignment="Center" verticalAlignment="Middle">
									<font fontName="DejaVu Sans" size="12"/>
								</textElement>
								<textFieldExpression><![CDATA[$F{no}]]></textFieldExpression>
							</textField>
						</jr:detailCell>
					</jr:column>
					<jr:column width="107" uuid="f67df57b-3da9-49ea-8ab6-10b5997b4218">
						<jr:columnHeader style="table_CH" height="23" rowSpan="1">
							<staticText>
								<reportElement x="0" y="0" width="107" height="23" uuid="578bbcd2-3971-43e4-ad39-96d9df71d620"/>
								<textElement textAlignment="Center" verticalAlignment="Middle">
									<font fontName="DejaVu Sans" size="12"/>
								</textElement>
								<text><![CDATA[Nr detalu]]></text>
							</staticText>
						</jr:columnHeader>
						<jr:detailCell style="table 1_TD" height="20" rowSpan="1">
							<textField>
								<reportElement x="0" y="0" width="107" height="20" uuid="c98382b8-5dfa-4a2e-9532-0305d6e9e673"/>
								<textElement textAlignment="Center" verticalAlignment="Middle">
									<font fontName="DejaVu Sans" size="12"/>
								</textElement>
								<textFieldExpression><![CDATA[$F{productNo}]]></textFieldExpression>
							</textField>
						</jr:detailCell>
					</jr:column>
					<jr:column width="179" uuid="23a61e30-6c84-427c-8d69-8a0769e70087">
						<jr:columnHeader style="table_CH" height="23" rowSpan="1">
							<staticText>
								<reportElement x="0" y="0" width="179" height="23" uuid="d354ce88-745b-49e4-901f-c90843bc1d4b"/>
								<textElement textAlignment="Center" verticalAlignment="Middle">
									<font fontName="DejaVu Sans" size="12"/>
								</textElement>
								<text><![CDATA[Nazwa detalu]]></text>
							</staticText>
						</jr:columnHeader>
						<jr:detailCell style="table 1_TD" height="20" rowSpan="1">
							<textField>
								<reportElement x="0" y="0" width="179" height="20" uuid="db4e9239-5237-43fe-bd67-f1034ceef6ec"/>
								<textElement verticalAlignment="Middle">
									<font fontName="DejaVu Sans" size="12"/>
									<paragraph leftIndent="10"/>
								</textElement>
								<textFieldExpression><![CDATA[$F{name}]]></textFieldExpression>
							</textField>
						</jr:detailCell>
					</jr:column>
					<jr:column width="40" uuid="4e4cf1d8-9de1-43be-a64c-a5207778f698">
						<jr:columnHeader style="table_CH" height="23" rowSpan="1">
							<staticText>
								<reportElement x="0" y="0" width="40" height="23" uuid="1a78d1bc-8271-4571-a212-fd399e764256"/>
								<textElement textAlignment="Center" verticalAlignment="Middle">
									<font fontName="DejaVu Sans" size="12"/>
								</textElement>
								<text><![CDATA[Ilość]]></text>
							</staticText>
						</jr:columnHeader>
						<jr:detailCell style="table 1_TD" height="20" rowSpan="1">
							<textField>
								<reportElement x="0" y="0" width="40" height="20" uuid="4a272961-7818-422a-8f65-54395ba9f540"/>
								<textElement textAlignment="Center" verticalAlignment="Middle">
									<font fontName="DejaVu Sans" size="12"/>
								</textElement>
								<textFieldExpression><![CDATA[$F{count}]]></textFieldExpression>
							</textField>
						</jr:detailCell>
					</jr:column>
					<jr:column width="26" uuid="e961e495-9387-49e9-9a9e-14a46ea2926e">
						<jr:columnHeader style="table_CH" height="23" rowSpan="1">
							<staticText>
								<reportElement x="0" y="0" width="26" height="23" uuid="01fc5034-6c6f-43b1-bfa3-44f982289361"/>
								<textElement textAlignment="Center" verticalAlignment="Middle">
									<font fontName="DejaVu Sans" size="12"/>
								</textElement>
								<text><![CDATA[jm.]]></text>
							</staticText>
						</jr:columnHeader>
						<jr:detailCell style="table 1_TD" height="20" rowSpan="1">
							<textField>
								<reportElement x="0" y="0" width="26" height="20" uuid="b997f695-c3ba-45d5-a548-961b3d0cbdbc"/>
								<textElement textAlignment="Center" verticalAlignment="Middle">
									<font fontName="DejaVu Sans" size="12"/>
								</textElement>
								<textFieldExpression><![CDATA[$F{unit}]]></textFieldExpression>
							</textField>
						</jr:detailCell>
					</jr:column>
					<jr:column width="106" uuid="56182a03-ba48-4c57-b27f-89910970044a">
						<jr:columnHeader style="table_CH" height="23" rowSpan="1">
							<staticText>
								<reportElement x="0" y="0" width="106" height="23" uuid="3506d348-c32a-4785-828d-5a66eeb10094"/>
								<textElement textAlignment="Center" verticalAlignment="Middle">
									<font fontName="DejaVu Sans" size="12"/>
								</textElement>
								<text><![CDATA[Nr zam.]]></text>
							</staticText>
						</jr:columnHeader>
						<jr:detailCell style="table 1_TD" height="20" rowSpan="1">
							<textField>
								<reportElement x="0" y="0" width="106" height="20" uuid="dfa452c7-1597-4eff-bb89-0a226842731e"/>
								<textElement verticalAlignment="Middle">
									<font fontName="DejaVu Sans" size="12"/>
									<paragraph leftIndent="10"/>
								</textElement>
								<textFieldExpression><![CDATA[$F{orderNo}]]></textFieldExpression>
							</textField>
						</jr:detailCell>
					</jr:column>
					<jr:column width="28" uuid="8d4b7a04-8eba-4bc3-92de-933d98541bdb">
						<jr:columnHeader style="table_CH" height="23" rowSpan="1">
							<staticText>
								<reportElement x="0" y="0" width="27" height="23" uuid="96d85568-11fe-4f06-9e4b-4a48decf3b61"/>
								<textElement textAlignment="Center" verticalAlignment="Middle">
									<font fontName="DejaVu Sans" size="12"/>
								</textElement>
								<text><![CDATA[Poz.]]></text>
							</staticText>
						</jr:columnHeader>
						<jr:detailCell style="table 1_TD" height="20" rowSpan="1">
							<textField>
								<reportElement x="0" y="0" width="27" height="20" uuid="e792646b-d317-4cf8-a474-b54ba435191d"/>
								<textElement textAlignment="Center" verticalAlignment="Middle">
									<font fontName="DejaVu Sans" size="12"/>
								</textElement>
								<textFieldExpression><![CDATA[$F{position}]]></textFieldExpression>
							</textField>
						</jr:detailCell>
					</jr:column>
				</jr:table>
			</componentElement>
		</band>
	</detail>
	<pageFooter>
		<band height="22">
			<textField evaluationTime="Master">
				<reportElement x="0" y="0" width="560" height="20" uuid="6123d61c-c00b-43de-98ef-846aaea01257"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="DejaVu Sans" size="10"/>
				</textElement>
				<textFieldExpression><![CDATA["Strona " + $V{MASTER_CURRENT_PAGE} + " z " + $V{MASTER_TOTAL_PAGES}]]></textFieldExpression>
			</textField>
		</band>
	</pageFooter>
	<lastPageFooter>
		<band height="113">
			<staticText>
				<reportElement x="0" y="4" width="130" height="20" uuid="d17e63f2-fd46-4b95-a379-f6fc89194f72"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="DejaVu Sans" size="10" isBold="false" isUnderline="false"/>
				</textElement>
				<text><![CDATA[Wystawił]]></text>
			</staticText>
			<staticText>
				<reportElement x="215" y="4" width="130" height="20" uuid="ff81fab3-4043-414c-8bf5-0f16e7f5cc3f"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="DejaVu Sans" size="10" isBold="false" isUnderline="false"/>
				</textElement>
				<text><![CDATA[Wydał]]></text>
			</staticText>
			<staticText>
				<reportElement x="424" y="4" width="130" height="20" uuid="59ae7176-9a21-4a1c-9c9b-7f73af296f18"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="DejaVu Sans" size="10" isBold="false" isUnderline="false"/>
				</textElement>
				<text><![CDATA[Odebrał]]></text>
			</staticText>
			<staticText>
				<reportElement x="0" y="69" width="130" height="12" uuid="e703acc3-5d1d-4db2-b639-1192ca468e22"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="DejaVu Sans" size="10" isBold="false" isUnderline="false"/>
				</textElement>
				<text><![CDATA[.....................................]]></text>
			</staticText>
			<staticText>
				<reportElement x="215" y="69" width="130" height="12" uuid="f164dc30-1980-4db4-b40a-d6498782958d"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="DejaVu Sans" size="10" isBold="false" isUnderline="false"/>
				</textElement>
				<text><![CDATA[.....................................]]></text>
			</staticText>
			<staticText>
				<reportElement x="424" y="69" width="130" height="12" uuid="a3ef9da9-e768-4d61-b4ce-051aba197978"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="DejaVu Sans" size="10" isBold="false" isUnderline="false"/>
				</textElement>
				<text><![CDATA[.....................................]]></text>
			</staticText>
			<staticText>
				<reportElement x="424" y="81" width="130" height="10" uuid="615aca4c-ad81-44a1-8198-78a54ac9747a"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="DejaVu Sans" size="7" isBold="false" isUnderline="false"/>
				</textElement>
				<text><![CDATA[Data i czytelny podpis]]></text>
			</staticText>
			<textField evaluationTime="Master">
				<reportElement x="0" y="90" width="560" height="20" uuid="b877a7ca-f3ca-47aa-b345-77581237af14"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="DejaVu Sans" size="10"/>
				</textElement>
				<textFieldExpression><![CDATA["Strona " + $V{MASTER_CURRENT_PAGE} + " z " + $V{MASTER_TOTAL_PAGES}]]></textFieldExpression>
			</textField>
		</band>
	</lastPageFooter>
</jasperReport>
